package com.rwk.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 rwk_book_group
 * 
 * @author ruoyi
 * @date 2024-12-16
 */
public class RwkBookGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 通讯录id */
    @Excel(name = "通讯录id")
    private Long bookId;

    /** 分组id */
    @Excel(name = "分组id")
    private Long groupId;

    public void setBookId(Long bookId) 
    {
        this.bookId = bookId;
    }

    public Long getBookId() 
    {
        return bookId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bookId", getBookId())
            .append("groupId", getGroupId())
            .toString();
    }
}
